Bug 64171 - Update port: java/jakarta-commons-collections [PATCH]
Summary: Update port: java/jakarta-commons-collections [PATCH]
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: java (show other bugs)
Version: 5.2.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ernst de Haan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-12 17:30 UTC by Hervé Quiroz
Modified: 2004-04-15 21:54 UTC (History)
0 users

See Also:


Attachments
file.diff (9.07 KB, patch)
2004-03-12 17:30 UTC, Hervé Quiroz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hervé Quiroz 2004-03-12 17:30:03 UTC
- Update to version 3.0
- Now using PORTDOCS macro for automated PLIST build (should fix the deinstall
  issue)
- Now using MASTER_SITE_APACHE_JAKARTA
- Now installs various additional docs: e.g. DEVELOPERS-GUIDE.html
- Now using JAVAJARDIR instead of JAVASHAREDIR/classes
Comment 1 Greg Lewis freebsd_committer 2004-04-02 02:01:33 UTC
Responsible Changed
From-To: freebsd-java->znerd

Over to maintainer.
Comment 2 Hervé Quiroz 2004-04-03 18:01:02 UTC
Another set of changes:

- bsd.java.mk 2.0 compliant
- ECHO_CMD instead of ECHO (one commiter recently told me this the right
  way so I obey)
- mkdir JAVAJARDIR
- echo doc files as they are installed
- removed pkg-plist entirely (use PLIST_FILES)
- changed the name of the installed JAR (no more version number in it as
  it is the case for other Java libraries)



diff -ur jakarta-commons-collections.original/Makefile jakarta-commons-collections/Makefile
--- jakarta-commons-collections.original/Makefile	Sat Apr  3 18:54:39 2004
+++ jakarta-commons-collections/Makefile	Sat Apr  3 18:51:04 2004
@@ -6,9 +6,10 @@
 #
 
 PORTNAME=	commons-collections
-PORTVERSION=	2.1
+PORTVERSION=	3.0
 CATEGORIES=	java
-MASTER_SITES=	http://jakarta.apache.org/builds/jakarta-commons/release/${PORTNAME}/v${PORTVERSION}/
+MASTER_SITES=	${MASTER_SITE_APACHE_JAKARTA}
+MASTER_SITE_SUBDIR=	commons/collections/source/
 PKGNAMEPREFIX=	jakarta-
 DISTNAME=	${PORTNAME}-${PORTVERSION}-src
 
@@ -17,32 +18,41 @@
 
 BUILD_DEPENDS=	${ANT}:${PORTSDIR}/devel/apache-ant
 
-USE_JAVA=	1.2+
+USE_JAVA=	yes
+JAVA_VERSION=	1.2+
+
+WRKSRC=	${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
-PLIST_SUB+=	T=${TARGET_DIR:S/^${PREFIX}\///}
 ANT?=		${LOCALBASE}/bin/ant
-.if defined(NOPORTDOCS)
-ANT_TARGET=	dist-jar
-.else
-ANT_TARGET=	dist-jar doc-javadoc
+ANT_TARGET=	jar
+.if !defined(NOPORTDOCS)
+ANT_TARGET+=	javadoc
+OTHERDOCS=	DEVELOPERS-GUIDE.html LICENSE.txt PROPOSAL.html README.txt RELEASE-NOTES.html STATUS.html
+PORTDOCS=	apidocs ${OTHERDOCS}
 .endif
-JAVASHAREDIR=	${PREFIX}/share/java
-JARDIR=		${JAVASHAREDIR}/classes
-JARFILE=	${PORTNAME}.jar
+JARFILE=	${PORTNAME}-${PORTVERSION}.jar
+DESTJARFILE=	${PORTNAME}.jar
+PLIST_FILES+=	${JAVAJARDIR:S,^${PREFIX}/,,}/${DESTJARFILE}
 
 do-build:
 	@cd ${WRKSRC} && ${ANT} ${ANT_TARGET}
 
 do-install:
-	@${ECHO} -n ">> Installing JAR as ${JARDIR}/${JARFILE}..."
-	@${CP} ${WRKSRC}/dist/${JARFILE} ${JARDIR}/
-	@${ECHO} " [ DONE ]"
+	@${ECHO_CMD} -n ">> Installing JAR as ${JAVAJARDIR}/${DESTJARFILE}..."
+	@${MKDIR} ${JAVAJARDIR}
+	@${CP} ${WRKSRC}/build/${JARFILE} ${JAVAJARDIR}/${DESTJARFILE}
+	@${ECHO_CMD} " [ DONE ]"
 
 .if !defined(NOPORTDOCS)
-	@${ECHO} -n ">> Installing documentation in ${DOCSDIR}..."
+	@${ECHO_CMD} -n ">> Installing documentation in ${DOCSDIR}..."
 	@${MKDIR} ${DOCSDIR}
-	@${CP} -r ${WRKSRC}/dist/docs/api/* ${DOCSDIR}
-	@${ECHO} " [ DONE ]"
+	@${CP} -r ${WRKSRC}/build/docs/apidocs ${DOCSDIR}
+	@${ECHO_CMD} -n " apidocs"
+.for DOCFILE in ${OTHERDOCS}
+	@${CP} ${WRKSRC}/${DOCFILE} ${DOCSDIR}
+	@${ECHO_CMD} -n " ${DOCFILE}"
+.endfor
+	@${ECHO_CMD} " [ DONE ]"
 .endif
 
 .include <bsd.port.mk>
diff -ur jakarta-commons-collections.original/distinfo jakarta-commons-collections/distinfo
--- jakarta-commons-collections.original/distinfo	Sat Apr  3 18:54:39 2004
+++ jakarta-commons-collections/distinfo	Sat Apr  3 18:40:23 2004
@@ -1,2 +1,2 @@
-MD5 (commons-collections-2.1-src.tar.gz) = ee30c02b1b57693f72cd86c899b925d9
-SIZE (commons-collections-2.1-src.tar.gz) = 229173
+MD5 (commons-collections-3.0-src.tar.gz) = 94d08b038526781e9f757048bb68cbae
+SIZE (commons-collections-3.0-src.tar.gz) = 1067775
diff -ur jakarta-commons-collections.original/pkg-plist jakarta-commons-collections/pkg-plist
--- jakarta-commons-collections.original/pkg-plist	Sat Apr  3 18:54:39 2004
+++ jakarta-commons-collections/pkg-plist	Sat Apr  3 18:40:51 2004
@@ -1,85 +0,0 @@
-share/doc/commons-collections/org/apache/commons/collections/iterators/UniqueFilterIterator.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/package-frame.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/ArrayIterator.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/CollatingIterator.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/EnumerationIterator.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/FilterIterator.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/FilterListIterator.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/IteratorChain.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/IteratorEnumeration.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/ListIteratorWrapper.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/ProxyIterator.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/ProxyListIterator.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/SingletonIterator.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/SingletonListIterator.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/TransformIterator.html
-share/doc/commons-collections/org/apache/commons/collections/iterators/package-summary.html
-share/doc/commons-collections/org/apache/commons/collections/comparators/ComparatorChain.html
-share/doc/commons-collections/org/apache/commons/collections/comparators/package-frame.html
-share/doc/commons-collections/org/apache/commons/collections/comparators/ComparableComparator.html
-share/doc/commons-collections/org/apache/commons/collections/comparators/package-summary.html
-share/doc/commons-collections/org/apache/commons/collections/comparators/NullComparator.html
-share/doc/commons-collections/org/apache/commons/collections/comparators/ReverseComparator.html
-share/doc/commons-collections/org/apache/commons/collections/comparators/TransformingComparator.html
-share/doc/commons-collections/org/apache/commons/collections/Bag.html
-share/doc/commons-collections/org/apache/commons/collections/Buffer.html
-share/doc/commons-collections/org/apache/commons/collections/Closure.html
-share/doc/commons-collections/org/apache/commons/collections/Factory.html
-share/doc/commons-collections/org/apache/commons/collections/MultiMap.html
-share/doc/commons-collections/org/apache/commons/collections/Predicate.html
-share/doc/commons-collections/org/apache/commons/collections/PriorityQueue.html
-share/doc/commons-collections/org/apache/commons/collections/SortedBag.html
-share/doc/commons-collections/org/apache/commons/collections/Transformer.html
-share/doc/commons-collections/org/apache/commons/collections/ArrayStack.html
-share/doc/commons-collections/org/apache/commons/collections/BagUtils.html
-share/doc/commons-collections/org/apache/commons/collections/BeanMap.html
-share/doc/commons-collections/org/apache/commons/collections/BeanMap.MyMapEntry.html
-share/doc/commons-collections/org/apache/commons/collections/BinaryHeap.html
-share/doc/commons-collections/org/apache/commons/collections/BoundedFifoBuffer.html
-share/doc/commons-collections/org/apache/commons/collections/BufferUtils.html
-share/doc/commons-collections/org/apache/commons/collections/CollectionUtils.html
-share/doc/commons-collections/org/apache/commons/collections/ComparatorUtils.html
-share/doc/commons-collections/org/apache/commons/collections/CursorableLinkedList.html
-share/doc/commons-collections/org/apache/commons/collections/CursorableLinkedList.Cursor.html
-share/doc/commons-collections/org/apache/commons/collections/DefaultMapBag.html
-share/doc/commons-collections/org/apache/commons/collections/DefaultMapEntry.html
-share/doc/commons-collections/org/apache/commons/collections/DoubleOrderedMap.html
-share/doc/commons-collections/org/apache/commons/collections/ExtendedProperties.html
-share/doc/commons-collections/org/apache/commons/collections/FastArrayList.html
-share/doc/commons-collections/org/apache/commons/collections/FastHashMap.html
-share/doc/commons-collections/org/apache/commons/collections/FastTreeMap.html
-share/doc/commons-collections/org/apache/commons/collections/HashBag.html
-share/doc/commons-collections/org/apache/commons/collections/IteratorUtils.html
-share/doc/commons-collections/org/apache/commons/collections/ListUtils.html
-share/doc/commons-collections/org/apache/commons/collections/LRUMap.html
-share/doc/commons-collections/org/apache/commons/collections/MapUtils.html
-share/doc/commons-collections/org/apache/commons/collections/MultiHashMap.html
-share/doc/commons-collections/org/apache/commons/collections/ProxyMap.html
-share/doc/commons-collections/org/apache/commons/collections/ReferenceMap.html
-share/doc/commons-collections/org/apache/commons/collections/SequencedHashMap.html
-share/doc/commons-collections/org/apache/commons/collections/SetUtils.html
-share/doc/commons-collections/org/apache/commons/collections/StaticBucketMap.html
-share/doc/commons-collections/org/apache/commons/collections/SynchronizedPriorityQueue.html
-share/doc/commons-collections/org/apache/commons/collections/TreeBag.html
-share/doc/commons-collections/org/apache/commons/collections/UnboundedFifoBuffer.html
-share/doc/commons-collections/org/apache/commons/collections/BufferOverflowException.html
-share/doc/commons-collections/org/apache/commons/collections/package-summary.html
-share/doc/commons-collections/org/apache/commons/collections/BufferUnderflowException.html
-share/doc/commons-collections/org/apache/commons/collections/package-frame.html
-share/doc/commons-collections/serialized-form.html
-share/doc/commons-collections/packages.html
-share/doc/commons-collections/package-list
-share/doc/commons-collections/overview-summary.html
-share/doc/commons-collections/overview-frame.html
-share/doc/commons-collections/index.html
-share/doc/commons-collections/index-all.html
-share/doc/commons-collections/stylesheet.css
-share/doc/commons-collections/allclasses-frame.html
-share/java/classes/commons-collections.jar
-@dirrm share/doc/commons-collections/org/apache/commons/collections/iterators
-@dirrm share/doc/commons-collections/org/apache/commons/collections/comparators
-@dirrm share/doc/commons-collections/org/apache/commons/collections
-@dirrm share/doc/commons-collections/org/apache/commons
-@dirrm share/doc/commons-collections/org/apache
-@dirrm share/doc/commons-collections/org
-@dirrm share/doc/commons-collections
Comment 3 Ernst de Haan freebsd_committer 2004-04-15 21:51:33 UTC
State Changed
From-To: open->closed

Committed, thanks!